PDFDocumentGraphics2DConfigurator (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.svg

## Class PDFDocumentGraphics2DConfigurator

- java.lang.Object
- - org.apache.fop.svg.PDFDocumentGraphics2DConfigurator

-     public class PDFDocumentGraphics2DConfigurator
      extends java.lang.Object

  Configurator class for PDFDocumentGraphics2D.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFDocumentGraphics2DConfigurator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(PDFDocumentGraphics2D graphics, Configuration cfg, boolean useComplexScriptFeatures)` Configures a PDFDocumentGraphics2D instance using an Avalon Configuration object.
    `static FontInfo` | `createFontInfo(Configuration cfg, boolean useComplexScriptFeatures)` Creates the `FontInfo` instance for the given configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFDocumentGraphics2DConfigurator

          public PDFDocumentGraphics2DConfigurator()

  - ### Method Detail

    - #### configure

          public void configure(PDFDocumentGraphics2D graphics,
                                Configuration cfg,
                                boolean useComplexScriptFeatures)
                         throws ConfigurationException

      Configures a PDFDocumentGraphics2D instance using an Avalon Configuration object.
      Parameters:
        `graphics` - the PDFDocumentGraphics2D instance
        `cfg` - the configuration
        `useComplexScriptFeatures` - true if complex script features enabled
      Throws:
        `ConfigurationException` - if an error occurs while configuring the object

    - #### createFontInfo

          public static FontInfo createFontInfo(Configuration cfg,
                                                boolean useComplexScriptFeatures)
                                         throws FOPException

      Creates the `FontInfo` instance for the given configuration.
      Parameters:
        `cfg` - the configuration
        `useComplexScriptFeatures` - true if complex script features enabled
      Returns:
        the font collection
      Throws:
        `FOPException` - if an error occurs while setting up the fonts

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.